<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Training Site</title>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.21/css/dataTables.bootstrap4.min.css">
</head>
<body>
    <div id="nav"></div>

    <section class="content">
        <div class="container">
            <div class="row" id="productdata">
                  <!-- content -->
              
                 <!-- end content  -->
            </div>
        </div>
    </section>


    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
    
    <script src="https://cdn.datatables.net/1.10.21/js/dataTables.bootstrap4.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/app.js"></script>
    
    <script>

        $(function() {
    
            
       var people = [];
    
       $.getJSON('json/product_data.json', function(data) {
           $.each(data.product_data, function(i, f) {
           // var tblRow = "<tr>" + "<td>" + f.ProductName + "</td>" +
             //  "<td>" + f.PartNumber + "</td>" + "<td>" + f.Category + "</td>" + "<td>" + f.Qty + "</td>" + "</tr>";
            //   $("#productdata").append(tblRow);
             var productdata = '<div class="col-lg-4" style="margin-bottom:10px;"> <div class="card" style="width: 18rem;"> <img class="card-img-top" src="https://placehold.it/300x150" alt="Card image cap"> <div class="card-body"> <h5 class="card-title">'+ f.ProductName +'</h5> <a href="productview.html?id='+  f.PartNumber +'" class="btn btn-primary">view product</a> </div></div></div>';
            $("#productdata").append(productdata);
         });
        
       });
       
    });
    </script>

    <script>
$(document).ready(function(){
  
});

    </script>
</body>
</html>